\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - dD Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Epick_d< DimensionTag >::Point_d Class Reference

`#include <CGAL/Epick_d.h>`

## Definition

represents a point in the Euclidean space

Is Model Of:

  `DefaultConstructible`

  `Assignable`

## Public Member Functions
| Point_d (double x0, double x1,...)
| introduces a point with coordinates (x0, x1, ...) where the number of coordinates matches the dimension. More...
template<typename InputIterator >
| Point_d (InputIterator first, InputIterator end)
| introduces a point with coordinate set `[first,end)`. More...
double | operator[] (int i) const
| returns the i'th coordinate of a point. More...
Cartesian_const_iterator_d | cartesian_begin () const
| returns an iterator pointing to the zeroth Cartesian coordinate. More...
Cartesian_const_iterator_d | cartesian_end () const
| returns an iterator pointing beyond the last Cartesian coordinate. More...

## Constructor & Destructor Documentation

template<typename DimensionTag >

CGAL::Epick_d< DimensionTag >::Point_d::Point_d | ( | double | x0,
|  | double | x1,
|  |  | ...
| ) |  |

introduces a point with coordinates (x0, x1, ...) where the number of coordinates matches the dimension.

Precondition
  `DimensionTag` is a fixed dimension, not `Dynamic_dimension_tag`.

template<typename DimensionTag >
template<typename InputIterator >

CGAL::Epick_d< DimensionTag >::Point_d::Point_d | ( | InputIterator | first,
|  | InputIterator | end
| ) |  |

introduces a point with coordinate set `[first,end)`.

Precondition
  If `DimensionTag` is a fixed dimension, it matches `distance(first,end)`.

Template Parameters

  InputIterator | has its value type that is convertible to `double`.

## Member Function Documentation

template<typename DimensionTag >

Cartesian_const_iterator_d CGAL::Epick_d< DimensionTag >::Point_d::cartesian_begin | ( | ) |  | const

returns an iterator pointing to the zeroth Cartesian coordinate.

template<typename DimensionTag >

Cartesian_const_iterator_d CGAL::Epick_d< DimensionTag >::Point_d::cartesian_end | ( | ) |  | const

returns an iterator pointing beyond the last Cartesian coordinate.

template<typename DimensionTag >

double CGAL::Epick_d< DimensionTag >::Point_d::operator[] | ( | int | i) |  | const

returns the i'th coordinate of a point.

Precondition
  `i` is non-negative and less than the dimension.